@ngrx/store versions and peer dependencies

The table below has a list of all versions of @ngrx/store compatible peers dependencies.

Version Peer Dependency Versions
1.3.0 - 1.3.2
  • rxjs @ ^5.0.0-beta.2
  • angular2 @ 2.0.0-beta.7
1.3.3
  • rxjs @ ^5.0.0-beta.2
  • angular2 @ ^2.0.0-beta.7
1.4.0
  • rxjs @ 5.0.0-beta.6
  • angular2 @ ^2.0.0-beta.17
1.5.0
  • rxjs @ 5.0.0-beta.6
  • angular2 @ ^2.0.0-beta.17
2.0.0
  • @ngrx/core @ ^1.0.0
  • rxjs @ 5.0.0-beta.6
  • @angular/core @ ^2.0.0-rc.0
2.0.1
  • @ngrx/core @ ^1.0.0
  • rxjs @ 5.0.0-beta.6
2.1.0
  • @ngrx/core @ ^1.0.0
  • rxjs @ ^5.0.0-beta.6
2.1.1 - 2.1.2
  • @ngrx/core @ ^1.0.0
  • rxjs @ ^5.0.0-beta.6
  • @angular/core @ ^2.0.0-rc.5
2.2.0 - 2.2.1
  • @angular/core @ ^2.0.0
  • rxjs @ ^5.0.0-beta.12
  • @ngrx/core @ ^1.1.0
2.2.2
  • @angular/core @ ^2.0.0 || ^4.0.0
  • rxjs @ ^5.0.0-beta.12
  • @ngrx/core @ ^1.1.0
2.2.3
  • @angular/core @ ^2.0.0 || ^4.0.0
  • rxjs @ ^5.0.0-beta.12
  • @ngrx/core @ ^1.1.0
4.0.0 - 4.1.0
  • @angular/core @ ^4.0.0
  • rxjs @ ^5.0.0
4.1.1
  • @angular/core @ ^4.0.0
  • rxjs @ ^5.0.0
5.0.0 - 5.2.0
  • @angular/core @ ^5.0.0
  • rxjs @ ^5.5.0
6.0.0 - 6.1.2
  • @angular/core @ ^6.0.0
  • rxjs @ ^5.6.0-forward-compat.0 || ^6.0.0
7.0.0 - 7.4.0
  • @angular/core @ ^7.0.0
  • rxjs @ ^6.0.0
8.0.0
  • @angular/core @ ^8.0.0
  • rxjs @ ^6.5.0
8.0.1 - 8.6.1
  • @angular/core @ ^8.0.0
  • rxjs @ ^6.4.0
9.0.0 - 9.2.1
  • @angular/core @ ^9.0.0
  • rxjs @ ^6.5.3
10.0.0 - 10.1.2
  • @angular/core @ ^10.0.0
  • rxjs @ ^6.5.3
11.0.0 - 11.1.1
  • @angular/core @ ^11.0.0
  • rxjs @ ^6.5.3
12.0.0 - 12.2.0
  • @angular/core @ ^12.0.0
  • rxjs @ ^6.5.3